## gpsmanshp 1.2

=== Makefile ===
#   Makefile for  gpsmanshp.c; for use with Tcl8.4.4 only!!!
#
#    A layer for writing GPS data to Shapefile format files
#    using shapelib from Tcl, as a Tcl package
#
#    This program was developed for use with
#    gpsman --- GPS Manager: a manager for GPS receiver data
#
#    Copyright (c) 2003 Miguel Filgueiras (mig@ncc.up.pt) Universidade do Porto
#
#     This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#     This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program.
#

VERSION = 1.2

TCLVERSION = 8.4

INSTALLDIR = /usr/lib/tcl$(TCLVERSION)

CFLAGS = -Wall -fPIC -c -I/usr/include/tcl$(TCLVERSION)
LINKOPT = -lshp -ltcl$(TCLVERSION)

gpsmanshp.so: gpsmanshp.o
	$(CC) -shared -o gpsmanshp.so $(LINKOPT) gpsmanshp.o

gpsmanshp.o: gpsmanshp.c
	$(CC) $(CFLAGS) gpsmanshp.c

pkgIndex.tcl: gpsmanshp.so
	echo "source package-8.3.tcl ; pkg_mkIndex -lazy -verbose . gpsmanshp.so" | tclsh$(TCLVERSION)
	chmod 644 gpsmanshp.so pkgIndex.tcl

install: pkgIndex.tcl
	-mkdir $(INSTALLDIR)
	cp gpsmanshp.so pkgIndex.tcl $(INSTALLDIR)

clean:
	rm -f gpsmanshp.o gpsmanshp.so pkgIndex.tcl G*.aux G*.log

www : GPSManSHP.tex
	hyperlatex GPSManSHP.tex
	chmod 644 gpsmanshp-www/GPSManSHP*.html
	scp -p gpsmanshp-www/GPSManSHP*.html gpsmanshp@ssh:public_html

distrib: GPSManSHP.tex gpsmanshp.c gpstr2shp.c Makefile
	-mkdir -m 755 gpsmanshp_$(VERSION)
	rm -fr gpsmanshp_$(VERSION)/*
	cp gpsmanshp.c gpstr2shp.c Makefile Makefile*[0-9] gpsmanshp_$(VERSION)
	chmod 644 gpsmanshp_$(VERSION)/*
	mkdir -m 755 gpsmanshp_$(VERSION)/doc
	pdflatex GPSManSHP.tex
	pdflatex GPSManSHP.tex
	cp GPSManSHP.pdf gpsmanshp_$(VERSION)/doc
	hyperlatex GPSManSHP.tex
	cp gpsmanshp-www/GPSManSHP*.html gpsmanshp-www/*.gif gpsmanshp-www/GPL.txt gpsmanshp_$(VERSION)/doc
	chmod 644 gpsmanshp_$(VERSION)/doc/*
	tar czvf gpsmanshp_$(VERSION).tgz gpsmanshp_$(VERSION)
	zip -r gpsmanshp_$(VERSION).zip gpsmanshp_$(VERSION)
	chmod 644 gpsmanshp_$(VERSION).tgz gpsmanshp_$(VERSION).zip
	scp -p gpsmanshp-www/GPSManSHP*.html gpsmanshp_$(VERSION).tgz gpsmanshp_$(VERSION).zip gpsmanshp@ssh:public_html
	mv gpsmanshp_$(VERSION).tgz gpsmanshp_$(VERSION).zip distrib

## gpsmanshp 1.2.1

=== Makefile ===
#   Makefile for  gpsmanshp.c (Tcl 8.4 except 8.4.4)
#
#    A layer for writing GPS data to Shapefile format files
#    using shapelib from Tcl, as a Tcl package
#
#    This program was developed for use with
#    gpsman --- GPS Manager: a manager for GPS receiver data
#
#    Copyright (c) 2003-2011 Miguel Filgueiras (mig@portugalmail.pt)
#
#     This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 3 of the License, or
#       (at your option) any later version.
#
#     This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program.
#

VERSION = 1.2.1

TCLVERSION = 8.4

INSTALLDIR = /usr/lib/tcl$(TCLVERSION)

CFLAGS = -Wall -fPIC -c -I/usr/include/tcl$(TCLVERSION)
LINKOPT = -lshp -ltcl$(TCLVERSION)

gpsmanshp.so: gpsmanshp.o
	$(CC) -shared -o gpsmanshp.so $(LINKOPT) gpsmanshp.o

gpsmanshp.o: gpsmanshp.c
	$(CC) $(CFLAGS) gpsmanshp.c

pkgIndex.tcl: gpsmanshp.so
	echo "pkg_mkIndex -lazy -verbose . gpsmanshp.so" | tclsh$(TCLVERSION)
	chmod 644 gpsmanshp.so pkgIndex.tcl

install: pkgIndex.tcl
	-mkdir $(INSTALLDIR)
	cp gpsmanshp.so pkgIndex.tcl $(INSTALLDIR)

clean:
	rm -f gpsmanshp.o gpsmanshp.so pkgIndex.tcl G*.aux G*.log

www : GPSManSHP.tex
	hyperlatex GPSManSHP.tex
	chmod 644 gpsmanshp-www/GPSManSHP*.html
#	scp -p gpsmanshp-www/GPSManSHP*.html gpsmanshp@ssh:public_html

distrib: GPSManSHP.tex gpsmanshp.c gpstr2shp.c Makefile
	-mkdir -m 755 gpsmanshp_$(VERSION)
	rm -fr gpsmanshp_$(VERSION)/*
	cp gpsmanshp.c gpstr2shp.c Makefile Makefile*[0-9] gpsmanshp_$(VERSION)
	chmod 644 gpsmanshp_$(VERSION)/*
	mkdir -m 755 gpsmanshp_$(VERSION)/doc
	pdflatex GPSManSHP.tex
	pdflatex GPSManSHP.tex
	cp GPSManSHP.pdf gpsmanshp_$(VERSION)/doc
#	hyperlatex GPSManSHP.tex
#	cp gpsmanshp-www/GPSManSHP*.html gpsmanshp-www/*.gif gpsmanshp-www/GPL.txt gpsmanshp_$(VERSION)/doc
	chmod 644 gpsmanshp_$(VERSION)/doc/*
	tar czvf gpsmanshp_$(VERSION).tgz gpsmanshp_$(VERSION)
#	zip -r gpsmanshp_$(VERSION).zip gpsmanshp_$(VERSION)
#	chmod 644 gpsmanshp_$(VERSION).tgz gpsmanshp_$(VERSION).zip
	chmod 644 gpsmanshp_$(VERSION).tgz
#	scp -p gpsmanshp-www/GPSManSHP*.html gpsmanshp_$(VERSION).tgz gpsmanshp_$(VERSION).zip gpsmanshp@ssh:public_html
	sha1sum gpsmanshp_$(VERSION).tgz > distrib/gpsmanshp_$(VERSION).tgz.sha1sum
	mv gpsmanshp_$(VERSION).tgz distrib

## gpsmanshp 1.2.3

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #    This program was developed for use with
 #    gpsman --- GPS Manager: a manager for GPS receiver data
 #
-#    Copyright (c) 2003-2011 Miguel Filgueiras (mig@portugalmail.pt)
+#    Copyright (c) 2003-2013 Miguel Filgueiras (migfilg@t-online.de)
 #
 #     This program is free software; you can redistribute it and/or modify
 #       it under the terms of the GNU General Public License as published by
@@ -22,7 +22,7 @@
 #       along with this program.
 #
 
-VERSION = 1.2.1
+VERSION = 1.2.3
 
 TCLVERSION = 8.4

=== debian/changelog ===
gpsmanshp (1.2.3-6) unstable; urgency=medium

  * QA upload.
  * Set section to interpreters.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Oct 2017 08:17:04 +0200

gpsmanshp (1.2.3-5) unstable; urgency=medium

  * Orphan package.
  * Update packaging:
    - Move to "minimal" debhelper style, making the build reproducible.
      (Closes: #777446, #792991)
    - Move to DEP-5 debian/copyright.
    - Add hardening flags.
    - Add missing #DEBHELPER# tokens to postinst and prerm scripts.
    - Tidy postinst and prerm scripts, adding set -u, etc.
    - Add Homepage field.
    - Tidy and expand long description.
    - Drop useless and unused files debian/ directory.
    - Drop dh_make template foo from debian/watch.
    - Add ${misc:Depends}
    - Bump Standards-Version to 3.9.8.
  * Reorder linker command options to build with --as-needed. Thanks to
    Andreas Moog <andreas.moog@warperbbs.de>. (Closes: #729726)

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Sep 2016 20:07:45 +0100

gpsmanshp (1.2.3-4) unstable; urgency=low

  * Fixed permissions of some control files

 -- Rogerio Reis <rvr@debian.org>  Fri, 11 Oct 2013 08:06:04 +0100

gpsmanshp (1.2.3-3) unstable; urgency=low

  * Do not depend of Tk8.4 anymore (Closes: #725367)

 -- Rogerio Reis <rvr@debian.org>  Mon, 07 Oct 2013 18:39:46 +0100

gpsmanshp (1.2.3-2) unstable; urgency=low

  * Bug in installation solved

 -- Rogerio Reis <rvr@debian.org>  Mon, 07 Oct 2013 17:20:02 +0100

gpsmanshp (1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Mon, 07 Oct 2013 16:43:22 +0100

gpsmanshp (1.2-4) unstable; urgency=low

  * Bug fix: "debian/watch fails to report upstream&#39;s version", thanks
    to Raphael Geissert (Closes: #450169).

 -- Rogerio Reis <rvr@debian.org>  Fri, 09 Jan 2009 13:16:11 +0000

gpsmanshp (1.2-3) unstable; urgency=low

  *  binary-indep tag added to debian/rules (closes: #395693)

 -- Rogerio Reis <rvr@debian.org>  Wed,  1 Nov 2006 11:23:15 +0000

gpsmanshp (1.2-2) unstable; urgency=low

  * Bug fix: remotion of the package now cleans back pkgIndex.tcl (Closes: #328495).

 -- Rogerio Reis <rvr@debian.org>  Wed,  5 Oct 2005 15:31:44 +0100

gpsmanshp (1.2-1) unstable; urgency=low

  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Thu,  9 Sep 2004 18:23:52 +0100

gpsmanshp (1.1-1) unstable; urgency=low

  * New upstream release 
  * Architecture corrected. (Closes: 252890)

 -- Rogerio Reis <rvr@debian.org>  Sat,  5 Jun 2004 22:31:15 +0100

gpsmanshp (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Now for tcl8.4
  * Bug fix: "gpsmanshp: fails to install on m68k", thanks to Christian
    T. Steigies (Closes: #195247).

 -- Rogerio Reis <rvr@debian.org>  Fri,  4 Jun 2004 23:54:36 +0100

gpsmanshp (1.0.1-3) unstable; urgency=low

  * package needs to depend on tcl for postinst pkg_mkIndex call (closes: #195247)

 -- Rogerio Reis <rvr@debian.org>  Tue, 10 Jun 2003 14:35:20 +0100

gpsmanshp (1.0.1-2) unstable; urgency=low

  * pkgInst generation corrected.

 -- Rogerio Reis <rvr@debian.org>  Thu,  6 Mar 2003 12:59:15 +0000

gpsmanshp (1.0.1-1) unstable; urgency=low

  * Initial Release. (closes: #183128)

 -- Rogerio Reis <rvr@debian.org>  Tue,  4 Mar 2003 12:43:24 +0000

=== debian/control ===
Source: gpsmanshp
Section: interpreters
Priority: extra
Homepage: http://gpsmanshp.sourceforge.net/
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libshp-dev, tcl, tcl-dev
Standards-Version: 3.9.8

Package: gpsmanshp
Priority: optional
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, tcllib
Description: Tcl interface to shapelib
 A Tcl package that provides the means of creating and reading files in the
 ESRI Shapefile for keeping 2 or 3 dimensional points and polylines.
 .
 It was developed for use in GPSMan, a manager of GPS receiver data and is
 based on the shapelib module. Along with this package, gpstr2shp.c was also
 developed which translates GPStrans data files into Shapefile ones.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/tcl -c -fPIC
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- INSTALLDIR=debian/gpsmanshp/usr/lib/tcl

=== debian/watch ===
version=3
http://www.ncc.up.pt/gpsmanshp/src/gpsmanshp-(.*).tgz
